## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 13;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global git_tag 0.4.1-2

Name:           python-axolotl-curve25519
Version:        0.4.1
Release:        %autorelease
Summary:        Python wrapper for curve25519

# The entire source code is GPL-3.0-only except:
# curve/curve25519-donna.[c|h] which is BSD-3-Clause.
License:        GPL-3.0-only and BSD-3-Clause
URL:            https://github.com/tgalal/python-axolotl-curve25519
Source0:        %{url}/archive/%{git_tag}/%{git_tag}.tar.gz
# License file for curve/curve25519-donna.[c|h]
Source1:	LICENSE.curve25519-donna
Patch0: python-axolotl-curve25519-c99.patch

BuildRequires:  gcc
BuildRequires:  python3-devel

%global _description %{expand:
This is a python wrapper for the curve25519 library with ed25519 signatures.}

%description %_description

%package -n python3-axolotl-curve25519
Summary:        %{summary}

%description -n python3-axolotl-curve25519 %_description


%prep
%autosetup -p1 -n %{name}-%{git_tag}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files axolotl_curve25519
cp -p %{SOURCE1} LICENSE.curve25519-donna

%files -n python3-axolotl-curve25519 -f %{pyproject_files}
%doc README.md
%license LICENSE
%license LICENSE.curve25519-donna


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.4.1-12
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 08 2024 Florian Weimer <fweimer@redhat.com> - 0.4.1-9
- Fix C compatibility issue

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.4.1-7
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 01 2022 Arthur Bols <arthur@bols.dev> - 0.4.1-5
- Switch to SPDX licensing

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.4.1-2
- Rebuilt for Python 3.11

* Thu Jan 20 2022 Arthur Bols <arthur@bols.dev> - 0.4.1-1
- Initial package

## END: Generated by rpmautospec
